%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with gtk4

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/NetworkManager/.*\\.so

Summary:	NetworkManager VPN integration for LibreSWAN
Name:		networkmanager-libreswan
Version:	1.2.24
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/NetworkManager-libreswan/%{url_ver}/NetworkManager-libreswan-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl
BuildRequires:	pkgconfig(dbus-1)
%if %with gtk4
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4) 
%else
BuildRequires:	pkgconfig(gtk+-3.0)
%endif
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libsecret-unstable)
Requires:	NetworkManager
Requires:	shared-mime-info
Provides:	networkmanager-openswan = %{version}-%{release}
Obsoletes:	networkmanager-openswan <= 1.1.0

%description
This package contains software for integrating the LibreSWAN IPSec VPN software
with NetworkManager.

%prep
%setup -qn NetworkManager-libreswan-%{version}
%autopatch -p1

%build
NOCONFIGURE=yes gnome-autogen.sh
LDFLAGS="%ldflags -lgmodule-2.0"
%configure \
	--disable-static \
	--disable-silent-rules \
	--without-libnm-glib \
%if %with gtk4
	--with-gtk4 \
%else
	--without-gtk4 \
%endif
	--enable-more-warnings=yes
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-libreswan

%files -f NetworkManager-libreswan.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-libreswan-service.conf
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
%{_libexecdir}/nm-libreswan-auth-dialog
%{_libexecdir}/nm-libreswan-service
%{_libexecdir}/nm-libreswan-service-helper
%{_metainfodir}/network-manager-libreswan.metainfo.xml
%{_usr}/lib/NetworkManager/VPN/nm-libreswan-service.name
%{_mandir}/man5/nm-settings-libreswan.5.*
%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-libreswan-editor.so
%endif


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.2.24-2.mga10
+ Revision: 2229834
- Mageia 10 Mass Rebuild

* Thu Nov 07 2024 ns80 <ns80> 1.2.24-1.mga10
+ Revision: 2112917
- new version 1.2.24 for CVE-2024-9050 (mga#33709)

* Fri Sep 02 2022 ghibo <ghibo> 1.2.16-2.mga9
+ Revision: 1883423
- Fix broken/missed linking by forcing libgmodule-2.0 in LDFLAGS.
- Add conditional support for gtk4 (but disabled).
- Fix files list.
- Add --enable-more-warnings=yes to configure options.
- Remove duplicate entry %%{_libexecdir}/nm-libreswan-service-helper from files list.
- Add missed Provides: networkmanager-openswan (fix plasma-applet-nm-libreswan dependency).
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- new version 1.2.16

* Sun Mar 28 2021 ovitters <ovitters> 1.2.14-1.mga9
+ Revision: 1711351
- new version 1.2.14

* Sat Feb 15 2020 umeabot <umeabot> 1.2.12-3.mga8
+ Revision: 1528000
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Aug 03 2019 wally <wally> 1.2.12-2.mga8
+ Revision: 1427090
- update BRs for networkmanager >= 1.19.90

* Wed Jul 31 2019 ovitters <ovitters> 1.2.12-1.mga8
+ Revision: 1426358
- new version 1.2.12
- dropped merged patch 0001-build-enable-D_GNU_SOURCE-everywhere.patch

* Sun Nov 18 2018 wally <wally> 1.2.10-2.mga7
+ Revision: 1330816
- add upstream patch to use _GNU_SOURCE everywhere
- disable deprecated libnm-glib support

* Sun Nov 04 2018 ovitters <ovitters> 1.2.10-1.mga7
+ Revision: 1328148
- new version 1.2.10
- new version 1.2.8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 guillomovitch <guillomovitch> 1.2.6-2.mga7
+ Revision: 1241163
- rebuild for latest networkmanager

* Sun Apr 02 2017 ovitters <ovitters> 1.2.6-1.mga7
+ Revision: 1095640
+ rebuild (emptylog)

* Sun Feb 19 2017 ovitters <ovitters> 1.2.6-1.mga6
+ Revision: 1086910
- new version 1.2.6
- drop upstream patch 0001-build-fix-linking-against-libdl.so-for-dlopen.patch
- drop upstream patch 0002-build-really-fix-linking-against-libdl.so-for-dlopen.patch

* Sat Oct 08 2016 wally <wally> 1.2.4-2.mga6
+ Revision: 1059681
- add patches from upstream to properly fix underlinking
- filter out 'plugin' .so provides

* Sat Oct 08 2016 daviddavid <daviddavid> 1.2.4-1.mga6
+ Revision: 1059676
- "fix" underlinking
+ ovitters <ovitters>
- don't create broken symlink
- new version 1.2.4

* Thu May 26 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1018688
- new version 1.2.2

* Thu Apr 21 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1003911
- new version 1.2.0

* Tue Apr 05 2016 ovitters <ovitters> 1.1.93-1.mga6
+ Revision: 998797
- new version 1.1.93

* Tue Mar 29 2016 ovitters <ovitters> 1.1.92-1.mga6
+ Revision: 996331
- new version 1.1.92
- update description

* Tue Mar 01 2016 ovitters <ovitters> 1.1.91-1.mga6
+ Revision: 981568
- new version 1.1.91

* Thu Feb 11 2016 ovitters <ovitters> 1.1.90-1.mga6
+ Revision: 955852
- rename to networkmanager-libreswan
- new version 1.1.90
- Upstream name changed

* Fri Nov 20 2015 ovitters <ovitters> 1.0.8-1.mga6
+ Revision: 904518
- new version 1.0.8

* Thu Aug 27 2015 ovitters <ovitters> 1.0.6-1.mga6
+ Revision: 870231
- new version 1.0.6

* Sun May 17 2015 tmb <tmb> 1.0.2-2.mga5
+ Revision: 822179
- push to release

* Thu May 07 2015 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 821405
- New version 1.0.2 (MGA#15682)

* Sun Feb 08 2015 ovitters <ovitters> 1.0.0-2.mga5
+ Revision: 814133
- fix dangling symlink (mga#15219)

* Thu Feb 05 2015 ovitters <ovitters> 1.0.0-1.mga5
+ Revision: 813619
- new version 1.0.0
- imported package networkmanager-openswan

